Package com.google.android.exoplayer2

## Interface Player.MetadataComponent

- All Known Implementing Classes:
    `SimpleExoPlayer`
  Enclosing interface:
    Player

      public static interface Player.MetadataComponent

  The metadata component of a `Player`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addMetadataOutput​(MetadataOutput output)` | Adds a `MetadataOutput` to receive metadata.
    `void` | `removeMetadataOutput​(MetadataOutput output)` | Removes a `MetadataOutput`.

- - ### Method Detail

    - #### addMetadataOutput

          void addMetadataOutput​(MetadataOutput output)

      Adds a `MetadataOutput` to receive metadata.
      Parameters:
        `output` - The output to register.

    - #### removeMetadataOutput

          void removeMetadataOutput​(MetadataOutput output)

      Removes a `MetadataOutput`.
      Parameters:
        `output` - The output to remove.